-----------------------------------------------------------------------------
--
--  File     :  /4DC_v0.8/hook/projectiles/SIFLaanseTacticalMissile04/SIFLaanseTacticalMissile01_script.bp
--
--  Author(s):  Resin_Smoker
--
--  Special Thanks: Mithy, Bulletmagnet
--
--  Summary  : Seraphim Tactical Missile Script 
--             Modded for Re-Targeting,
--             smoother turning missiles &
--             child projectile creation
--
--  Copyright © 2011 4DC_V0.8  All rights reserved.
-----------------------------------------------------------------------------

local MyProjectile = import('/lua/seraphimprojectiles.lua').SLaanseTacticalMissile
SLaanseTacticalMissile = import('/mods/4DC_V0.8/lua/CustomAbilities/4D_ProjectileSuperClass/4D_ProjectileSuperClass.lua').Advanced_Retargeting( MyProjectile )

SIFLaanseTacticalMissile04 = Class(SLaanseTacticalMissile) {
    
    OnCreate = function(self)
        SLaanseTacticalMissile.OnCreate(self)
        self:SetCollisionShape('Sphere', 0, 0, 0, 1.0)     
    end,                        
}
TypeClass = SIFLaanseTacticalMissile04